import type { AccountId } from "../models/AccountId";
import type { DeleteFileBatchV2 } from "../models/DeleteFileBatchV2";
import type { FileDetails } from "../models/FileDetails";
import type { FilePath } from "../models/FilePath";
export declare class FilesV2Service {
    /**
     * Deletes a file (synchronously).
     * @param accountId
     * @param filePath
     * @returns any Success.
     * @throws ApiError
     */
    static deleteFile(accountId: AccountId, filePath: FilePath): Promise<any>;
    /**
     * Deletes multiple files (asynchronously).
     * @param accountId
     * @param requestBody
     * @returns void
     * @throws ApiError
     */
    static deleteFileBatch(accountId: AccountId, requestBody: DeleteFileBatchV2): Promise<void>;
    /**
     * Gets the full metadata for a file.
     * @param accountId
     * @param filePath
     * @returns FileDetails Success.
     * @throws ApiError
     */
    static getFileDetails(accountId: AccountId, filePath: FilePath): Promise<FileDetails>;
}
