/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { AccountJobId } from "../models/AccountJobId";
import type { AccountJobType } from "../models/AccountJobType";
import type { JobSummary } from "../models/JobSummary";
import type { ListRecentJobs } from "../models/ListRecentJobs";
import { request as __request } from "../core/request";

export class JobsService {
  /**
   * @param accountId
   * @param jobType
   * @param jobId
   * @returns any Success.
   * @throws ApiError
   */
  public static async cancelJob(accountId: AccountId, jobType: AccountJobType, jobId: AccountJobId): Promise<any> {
    const result = await __request({
      method: "DELETE",
      path: `/v1/accounts/${accountId}/jobs/${jobType}/${jobId}`,
      errors: {
        401: `Unauthenticated.`
      }
    });
    return result.body;
  }

  /**
   * @param accountId
   * @param jobType
   * @param jobId
   * @returns JobSummary Success.
   * @throws ApiError
   */
  public static async getJob(accountId: AccountId, jobType: AccountJobType, jobId: AccountJobId): Promise<JobSummary> {
    const result = await __request({
      method: "GET",
      path: `/v1/accounts/${accountId}/jobs/${jobType}/${jobId}`,
      errors: {
        401: `Unauthenticated.`
      }
    });
    return result.body;
  }

  /**
   * @param accountId
   * @param jobType1
   * @param jobType2
   * @returns ListRecentJobs Success.
   * @throws ApiError
   */
  public static async listRecentJobs(
    accountId: AccountId,
    jobType1: AccountJobType,
    jobType2?: AccountJobType
  ): Promise<ListRecentJobs> {
    const result = await __request({
      method: "GET",
      path: `/v1/accounts/${accountId}/jobs`,
      query: {
        jobType1: jobType1,
        jobType2: jobType2
      },
      errors: {
        401: `Unauthenticated.`
      }
    });
    return result.body;
  }
}
